# Custom Activities Custom Activities ## Gets all of the custom activities in the system. - [GET /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listcustomactivities.md): This method will scan all custom activities and and return them to the caller. ## Creates a new custom activity record that does not already exist. - [POST /customActivities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/createcustomactivity.md): This method will auto-generate an ID and create a new custom activity. If an ID is specified for the custom activity, an error will be thrown. ## Execute Batch Operations - [POST /customActivities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /customActivities/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified organization_id - [GET /customActivities/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/listactivitiesbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a custom activity from the system by its ID. - [DELETE /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/deletecustomactivity.md): This method will delete a custom activity with the specified ID. ## Returns a custom activity from the system by its ID. - [GET /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/getcustomactivity.md): This method will look up a custom activity by the specified ID and return it back. ## Partially updates a custom activity with the specified ID. - [PATCH /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/patchcustomactivity.md): This method will patch an existing custom activity with the specified ID, using the HTTP PATCH specification. ## Updates a custom activity with the specified ID. - [PUT /customActivities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activities/updatecustomactivity.md): This method will update an existing custom activity with the specified ID.